/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.usecases;

import org.codehaus.activemq.ActiveMQConnectionFactory;

import javax.jms.JMSException;

/**
 * @version $Revision: 1.1 $
 */
public class TwoZeroconfDiscoveryBrokerTopicSendReceiveTest extends TwoBrokerTopicSendReceiveTest {

    protected ActiveMQConnectionFactory createReceiverConnectionFactory() throws JMSException {
        return createConnectionFactory("org/codehaus/activemq/usecases/receiver-zeroconf.xml", "receiver", "vm://receiver");
    }

    protected ActiveMQConnectionFactory createSenderConnectionFactory() throws JMSException {
        return createConnectionFactory("org/codehaus/activemq/usecases/sender-zeroconf.xml", "sender", "vm://sender");
    }
}
