/** 
 * 
 * Copyright 2004 Hiram Chirino
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.cache;

/**
 * Other MessageStores that whish to be notified when they are being cached
 * by a CacheMessageStore should implement the CacheMessageStoreAware interface.
 * 
 * @version $Revision: 1.1 $
 */
public interface CacheMessageStoreAware {
	public void setCacheMessageStore(CacheMessageStore store);
}
