/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.codehaus.activemq.message;

/**
 * Request nfomation about the Capacity for more messages for a Connection/Broker
 * @version $Revision: 1.2 $
 */

public class CapacityInfoRequest extends AbstractPacket {

    /**
     * @return the PacketType
     */
    public int getPacketType() {
        return Packet.CAPACITY_INFO_REQUEST;
    }

    public String toString() {
        return super.toString() + " CapacityInfoRequest{}";
    }
}
